Package org.apache.solr.client.solrj.impl

## Class NoOpResponseParser

- java.lang.Object
- - org.apache.solr.client.solrj.ResponseParser
  - - org.apache.solr.client.solrj.impl.NoOpResponseParser

    @Deprecated
    public class NoOpResponseParser
    extends ResponseParser

Deprecated.
see `instead`; more efficient
A special parser that puts the entire response into a string "response" field in the NamedList.

### Constructor Summary

Constructors
`NoOpResponseParser()` Deprecated.
`NoOpResponseParser​(String writerType)` Deprecated.

### Method Summary

All Methods Instance Methods Concrete Methods Deprecated Methods
`String` `getWriterType()` Deprecated.
`NamedList<Object>` `processResponse​(InputStream body, String encoding)` Deprecated.
`NamedList<Object>` `processResponse​(Reader reader)` Deprecated.
`void` `setWriterType​(String writerType)` Deprecated.

### Methods inherited from class org.apache.solr.client.solrj.ResponseParser

`getContentType, getContentTypes, getVersion`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### NoOpResponseParser

    public NoOpResponseParser()

Deprecated.

#### NoOpResponseParser

    public NoOpResponseParser​(String writerType)

Deprecated.

### Method Detail

#### getWriterType

    public String getWriterType()

Deprecated.

Specified by:
  `getWriterType` in class `ResponseParser`

#### setWriterType

    public void setWriterType​(String writerType)

Deprecated.

#### processResponse

    public NamedList<Object> processResponse​(Reader reader)

Deprecated.

Specified by:
  `processResponse` in class `ResponseParser`

#### processResponse

    public NamedList<Object> processResponse​(InputStream body,
                                             String encoding)

Deprecated.

Specified by:
  `processResponse` in class `ResponseParser`